function getCoordinates() {

    document.getElementById('loading').classList.remove('hide');
    document.getElementById('result').classList.add('hide');
    document.getElementById('error').classList.add('hide');

    let objectName = document.getElementById('object_name').value;
    fetch('coords?object=' + objectName)
            .then(response => response.json())
            .then(data => {
                if (typeof data['error'] === 'undefined') {
                    document.getElementById('result').classList.remove('hide');
                    document.getElementById('ra').innerText = data['ra'];
                    document.getElementById('dec').innerText = data['dec'];
                    document.getElementById('alt').innerText = data['alt'];
                    document.getElementById('az').innerText = data['az'];
                } else {
                    let errorElement = document.getElementById('error');
                    errorElement.classList.remove('hide');
                    errorElement.innerText = data['error'];
                }
            })
            .finally(() => {
                document.getElementById('loading').classList.add('hide');
            });
}

document.getElementById('get_coordinates').onclick = getCoordinates;

document.getElementById('object_name').onkeydown = function(event) {
    if(event.keyCode === 13) {
        getCoordinates();
    }
};
